iotoms Docs

Export payment collections as PDF

GET
/api/v1/reports/financial/collections/export

Downloads the payment collections report for the date range as a PDF file. from and to default to today.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string

Start date, YYYY-MM-DD.

Formatdate
to?string

End date, YYYY-MM-DD.

Formatdate

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

response?stringapplication/pdf
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/reports/financial/collections/export' \  -H 'X-TenantID: your-tenant-code'
Example Response
"string"